Subject: bug#72224: Two bugs in windows operating system

From: Sebastián Monía <[email-masked]>
Date: Fri, 26 Jul 2024 23:20:48 -0400

Hello yellowPolyp,

> Second, when I start dynamic programs like `sh` or `gdb` using
> `start-process`, Emacs shows error `starting child process:invalid
> argument`. This makes commands like `term` and `compile` unusable.

In Windows, a lot of the external tools that are considered standard for
*nix platforms, needs to be provided somehow (compile yourself, get
ready-made executables via the ezwinports project, etc).

For `gdb`, I suggest you try using the one in the MinGW64 project.

Regarding `term`, the easiest alternative for MS-Windows is to use
`shell` instead. At least, that's what I do myself. Instead of bash, you
would be using Windows' shell.

I hope this helped!

Regards,
Sebastián